{...}: {
  virtualisation.oci-containers.containers.vaultwarden = {
    image = "vaultwarden/server:latest";
    autoStart = true;
    ports = ["1001:80"];
    volumes = [
      "/home/admin/vw-data:/data:Z"
    ];
    environment = {
      DOMAIN = "https://vault.severijnse.eu";
      LOG_FILE = "/data/vaultwarden.log";
    };
    extraOptions = [
      "--label=com.centurylinklabs.watchtower.enable=true"
    ];
  };
}
